package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 喂养要求对象 app_feeding_food
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppFeedingFood extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 喂养食品编号 */
    private Long feedingFoodId;

    /** 服务档案编号 */
    @Excel(name = "服务档案编号")
    private Long serviceFileId;

    /** 食品摆放位置图片 */
    @Excel(name = "食品摆放位置图片")
    private String feedingFoodImage;

    /** 喂养重量 */
    @Excel(name = "喂养重量")
    private Long feedingFoodWeight;

    /** 喂养频率天 */
    @Excel(name = "喂养频率天")
    private Long feedingFoodFrequencyDay;

    /** 喂养频率次 */
    @Excel(name = "喂养频率次")
    private Long feedingFoodFrequencyTimes;

    /** 其他普通信息 */
    @Excel(name = "其他普通信息")
    private String serviceFileInfo;

    public void setFeedingFoodId(Long feedingFoodId) 
    {
        this.feedingFoodId = feedingFoodId;
    }

    public Long getFeedingFoodId() 
    {
        return feedingFoodId;
    }
    public void setServiceFileId(Long serviceFileId) 
    {
        this.serviceFileId = serviceFileId;
    }

    public Long getServiceFileId() 
    {
        return serviceFileId;
    }
    public void setFeedingFoodImage(String feedingFoodImage) 
    {
        this.feedingFoodImage = feedingFoodImage;
    }

    public String getFeedingFoodImage() 
    {
        return feedingFoodImage;
    }
    public void setFeedingFoodWeight(Long feedingFoodWeight) 
    {
        this.feedingFoodWeight = feedingFoodWeight;
    }

    public Long getFeedingFoodWeight() 
    {
        return feedingFoodWeight;
    }
    public void setFeedingFoodFrequencyDay(Long feedingFoodFrequencyDay) 
    {
        this.feedingFoodFrequencyDay = feedingFoodFrequencyDay;
    }

    public Long getFeedingFoodFrequencyDay() 
    {
        return feedingFoodFrequencyDay;
    }
    public void setFeedingFoodFrequencyTimes(Long feedingFoodFrequencyTimes) 
    {
        this.feedingFoodFrequencyTimes = feedingFoodFrequencyTimes;
    }

    public Long getFeedingFoodFrequencyTimes() 
    {
        return feedingFoodFrequencyTimes;
    }
    public void setServiceFileInfo(String serviceFileInfo) 
    {
        this.serviceFileInfo = serviceFileInfo;
    }

    public String getServiceFileInfo() 
    {
        return serviceFileInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedingFoodId", getFeedingFoodId())
            .append("serviceFileId", getServiceFileId())
            .append("feedingFoodImage", getFeedingFoodImage())
            .append("feedingFoodWeight", getFeedingFoodWeight())
            .append("feedingFoodFrequencyDay", getFeedingFoodFrequencyDay())
            .append("feedingFoodFrequencyTimes", getFeedingFoodFrequencyTimes())
            .append("serviceFileInfo", getServiceFileInfo())
            .append("remark", getRemark())
            .toString();
    }
}
